package com.test.model;

import java.io.Serializable;

public class CurrencyAmount extends DatastoreObject implements Serializable {

	public enum CurrencyType {
		EUR, USD, CHF, GBP
	}

	private CurrencyType currency;
	private Double amount;

	public CurrencyAmount() {
	}

	public CurrencyAmount(CurrencyType currency, Double amount) {
		this.currency = currency;
		this.amount = amount;
	}

	public CurrencyType getCurrency() {
		return currency;
	}

	public void setCurrency(CurrencyType currency) {
		this.currency = currency;
	}

	public Double getAmount() {
		return amount;
	}

	public void setAmount(Double amount) {
		this.amount = amount;
	}

}
