package com.test.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Fan extends DatastoreObject implements Serializable {

	public String name;
	public List<Concert> concerts;

	public Fan() {
		concerts = new ArrayList<Concert>();
	}

	public Fan(String name) {
		this();
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<Concert> getConcerts() {
		return concerts;
	}

	public void setConcerts(List<Concert> concerts) {
		this.concerts = concerts;
	}

}
