package com.test.model.dao;

import com.google.appengine.api.datastore.Query.FilterOperator;
import com.google.code.twig.annotation.AnnotationObjectDatastore;
import com.test.model.Fan;
import com.test.model.MyDao;

public class FanDao extends MyDao<Fan> {

    public FanDao() {
        datastore = new AnnotationObjectDatastore(false);
    }

    public Fan readById(Long id, int depth) {
        return datastore.find().type(Fan.class).activate(depth).addFilter("id",
                FilterOperator.EQUAL, id).returnUnique().now();
    }

}
