package com.test.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class Concert extends DatastoreObject implements Serializable {

	private Date date;
	private final List<Band> bands;
	private CurrencyAmount price;

	public Concert() {
		bands = new ArrayList<Band>();
	}

	public Concert(Date date, CurrencyAmount price) {
		this();
		this.date = date;
		this.price = price;

	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public CurrencyAmount getPrice() {
		return price;
	}

	public void setPrice(CurrencyAmount price) {
		this.price = price;
	}

	public List<Band> getBands() {
		return bands;
	}

}
