package com.test.model.dao;

import com.google.appengine.api.datastore.Query.FilterOperator;
import com.google.code.twig.annotation.AnnotationObjectDatastore;
import com.test.model.Concert;
import com.test.model.MyDao;

public class ConcertDao extends MyDao<Concert> {

    public ConcertDao() {
        datastore = new AnnotationObjectDatastore(false);
    }

    public Concert findConcertById(Long id) {
        datastore = new AnnotationObjectDatastore(false);
        return datastore.find().type(Concert.class).addFilter("id",
                FilterOperator.EQUAL, id).returnUnique().now();
    }

}
